Start typing to search.

API Reference

Update a dashboard

View Markdown
PATCH /api/dashboards/{id}

Update a dashboard

Operation IDupdateDashboard

Authentication

  • BearerAuth·http bearer·API key token (envoy_<hex>). Create keys from Settings → API Keys — see Using the API.

Path parameters

idintegerrequired

Resource ID

Request body

Content typeapplication/json

requestobject
4 properties
namestring
descriptionstring
yaml_contentstring
statusstring

Success response body

200Updated dashboard

Updated dashboard

Content typeapplication/json

responseobject
9 properties
idinteger
job_idinteger
dashboard_template_idinteger | null
namestring
descriptionstring | null
statusstring
has_share_linkboolean
created_atstring · date-time
updated_atstring | null · date-time

Error responses

400Validation error

Validation error

Content typeapplication/json

responseobject
2 properties
errorstring
messagestring
Example response
{
  "error": "VALIDATION_ERROR",
  "message": "Invalid input"
}

404Resource not found

Resource not found

Content typeapplication/json

responseobject
2 properties
errorstring
messagestring
Example response
{
  "error": "NOT_FOUND",
  "message": "Resource not found"
}